dodoc: start from clean slate on a tagged version
Junio C Hamano committed
Feb 12, 2010 at 17:01 UTC
2a414fc91d9ecb12675fc6f3f161b4052a28992e
1 file changed
+9
dodoc.sh
+9
index 132db78fca..0c064ce426 100755
--- a/dodoc.sh
+++ b/dodoc.sh
@@ -77,6 +77,15 @@ MAN_BASE_URL="http://www.kernel.org/pub/software/scm/git/docs/"
BLK_SHA1=YesPlease
GNU_ROFF=YesPlease'
+case "$NID" in
+?*-?*) ;;
+?*)
+ make clean &&
+ rm -fr doc-html-inst doc-man-inst &&
+ mkdir doc-html-inst doc-man-inst || exit
+ ;;
+esac
+
make >./:html.log 2>&1 \
-C Documentation -j 2 $dd \
WEBDOC_DEST="$DOCREPO/doc-html-inst" install-webdoc || exit